package info.bukova.isspst.ui;

import org.zkoss.zk.ui.HtmlBasedComponent;

public class Mapa extends HtmlBasedComponent {

	private static final long serialVersionUID = 6856577544897548586L;
	
	private String address = "";

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		if (this.address != null && this.address.equals(address))
			return;
		
		this.address = address;
		this.smartUpdate("address", this.address);
	}
	
	public void setValue(String val) {
		setAddress(val);
	}
	
	public String getValue() {
		return address;
	}
	
	protected void renderProperties(org.zkoss.zk.ui.sys.ContentRenderer renderer)
            throws java.io.IOException {
		super.renderProperties(renderer);
		render(renderer, "address", this.address);
	}

}
